image: microsoft/dotnet:latest

before_script:
  - dotnet restore TheGameExtreme
  - dotnet restore TheGameExtreme.Android
  - dotnet restore TheGameExtreme.IOS
  


build:
  stage : build
  script:
     - dotnet build -c Release --no-restore TheGameExtreme
     - dotnet build -c Release --no-restore TheGameExtreme.Android
     - dotnet build -c Release --no-restore TheGameExtreme.IOS
     - dotnet publish -c Release --no-restore -o $CI_PROJECT_DIR/build/release TheGameExtreme
     - dotnet publish -c Release --no-restore -o $CI_PROJECT_DIR/build/release TheGameExtreme.Android
     - dotnet publish -c Release --no-restore -o $CI_PROJECT_DIR/build/release TheGameExtreme.IOS


unit_tests:
  stage : test
  script:
    - dotnet test --no-restore TheGameExtreme
    - dotnet test --no-restore TheGameExtreme.Android
    - dotnet test --no-restore TheGameExtreme.IOS